الانتقال إلى المحتوى الرئيسي
POST
/
embeddings
/api/v1/embeddings
curl --request POST \
  --url https://api.venice.ai/api/v1/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "encoding_format": "float",
  "input": "The quick brown fox jumped over the lazy dog",
  "model": "text-embedding-bge-m3"
}
'
{
  "data": [
    {
      "embedding": [
        0.0023064255,
        -0.009327292,
        0.015797377
      ],
      "index": 0,
      "object": "embedding"
    }
  ],
  "model": "text-embedding-bge-m3",
  "object": "list",
  "usage": {
    "prompt_tokens": 8,
    "total_tokens": 8
  }
}

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الترويسات

Accept-Encoding
string

Supported compression encodings (gzip, br)

مثال:

"gzip, br"

الجسم

application/json

Create embeddings for the supplied input.

input
مطلوب

Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens), cannot be an empty string, and any array must be 2048 dimensions or less.

Minimum string length: 1
مثال:

"The quick brown fox jumped over the lazy dog"

model
مطلوب

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

مثال:

"text-embedding-bge-m3"

dimensions
integer

The number of dimensions the resulting output embeddings should have.

النطاق المطلوب: x >= 1
encoding_format
enum<string>
افتراضي:float

The format to return the embeddings in. Can be either float or base64.

الخيارات المتاحة:
float,
base64
مثال:

"float"

user
string

This is an unused parameter and is discarded by Venice. It is supported solely for API compatibility with OpenAI.

الاستجابة

OK

data
object[]
مطلوب

The list of embeddings generated by the model.

model
string
مطلوب

The name of the model used to generate the embedding.

object
enum<string>
مطلوب

The object type, which is always "list"

الخيارات المتاحة:
list
usage
object
مطلوب

The usage information for the request.